### Class

# Tracker Endpoint

#### Description [src]

    abstract class Tracker.Endpoint : GObject.Object
    {
      /* No available fields */
    }

`TrackerEndpoint` is a helper object to make RDF triple stores represented by a `TrackerSparqlConnection` publicly available to other processes/hosts.

This is a base abstract object, see `TrackerEndpointDBus` to make RDF triple stores available to other processes in the same machine, and `TrackerEndpointHttp` to make it available to other hosts in the network.

When the RDF triple store represented by a `TrackerSparqlConnection` is made public this way, other peers may connect to the database using `tracker_sparql_connection_bus_new()` or `tracker_sparql_connection_remote_new()` to access this endpoint exclusively, or they may use the `SERVICE <uri> { ... }` SPARQL syntax from their own `TrackerSparqlConnection`s to expand their data set.

#### Ancestors

- GObject

#### Descendants

- TrackerEndpointDBus
- TrackerEndpointHttp

#### Instance methods

###### tracker_endpoint_get_sparql_connection

Returns the `TrackerSparqlConnection` that this endpoint proxies to a wider audience.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Tracker.Endpoint:sparql-connection

The `TrackerSparqlConnection` being proxied by this endpoint.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct TrackerEndpointClass {
      /* no available fields */
    }

No description available.